Page MenuHomePhabricator

apply correct lang and dir attributes to language names in "List of pages linked to this item"
Closed, ResolvedPublic

Description

Language names appear as autonyms, so correct lang and dir attribute must be applied to every table cell with a language name.


Version: unspecified
Severity: normal
Whiteboard: storypoints: 2

Details

Reference
bz40238

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 12:52 AM
bzimport set Reference to bz40238.
bzimport added a subscriber: Unknown Object (MLST).
Amire80 created this task.Sep 13 2012, 3:29 PM

Reverting the above change (revert is I19fe52d0) because the proposed solution causes us to run out of memory.

Constructing a Language object for each language loads all the messages for every language and causes an out of memory error on pages with a non-trivial number of sitelinks. Each language seems to require about 500KB of memory.

We need a lightweight way to get the names and directionality of all languages, without loading all the messages. Lazy initialization of the Language object could help. Of there could be a LanguageInfo interface for stuff like name and directionality.

andy wrote:

There should also be an hreflang attribute on links to other-langugae wikis.

fix was merged
Thanks Tpt!

(In reply to comment #4)

Very partial fix in https://gerrit.wikimedia.org/r/#/c/32501/

Status Merged

Tpt added a comment.Nov 18 2012, 8:44 PM

The fix merged is only partial so the bug isn't fixed.

Removing patch-in-gerrit keyword as the partial patch was merged.

This seems fixed now. Please reopen with specific description of what is still broken if not.